[Unit]
Description=Node Exporter
Wants=network-online.target
After=network-online.target

[Service]
User=node_exporter
Group=node_exporter
Type=simple
ExecStart=/bin/ip vrf exec {{ prometheus_node_exporter_vrf }} /usr/local/bin/node_exporter \
  --collector.systemd \
  --collector.textfile \
  --collector.textfile.directory=/var/lib/node_exporter \
  --web.listen-address={{ prometheus_node_exporter_address | default(ansible_host) }}:9100

SyslogIdentifier=node_exporter
Restart=always

PrivateTmp=yes
ProtectHome=yes

[Install]
WantedBy=multi-user.target
